"""generify vlass workflows

Revision ID: 1c0f67cc24aa
Revises: 8534eaec5381
Create Date: 2022-07-26 13:23:43.297277

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "1c0f67cc24aa"
down_revision = "8534eaec5381"
branch_labels = None
depends_on = None

old_seci = """#!/bin/sh

export HOME=$TMPDIR

set -o errexit

./casa_envoy --seci $1 $2

"""

old_cube = """#!/bin/sh

export HOME=$TMPDIR

set -o errexit

./casa_envoy --seci $1 $2
"""

new_seci = """#!/bin/sh

export HOME=$TMPDIR

set -o errexit

./casa_envoy --vlass-img $1 $2

"""

new_cube = """#!/bin/sh

export HOME=$TMPDIR

set -o errexit

./casa_envoy --vlass-img $1 $2
"""


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{new_seci}' WHERE filename='vlass_seci.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{new_cube}' WHERE filename='vlass_coarse_envoy.sh'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{old_seci}' WHERE filename='vlass_seci.sh'
        """
    )

    op.execute(
        f"""
            UPDATE workflow_templates
            SET content=E'{old_cube}' WHERE filename='vlass_coarse_envoy.sh'
            """
    )
